<p>Prisjetimo se oznaka koje smo uveli:</p>

<ul>
<li><i>k</i> je broj podatkovnih bitova,</li>
<li><i>r</i> je broj zaštitnih bitova te</li>
<li><i>n</i> je ukupan broj bitova zaštićene kodne riječi.</li>
</ul>

<p>Vrijedi:
$$ n = k + r. $$
</p>

<p>
<em>Redundancija</em>, oznaka <i>R</i>, je udio zaštitnih bitova u zaštićenoj kodnoj riječi:
$$ R = \frac{r}{n} = \frac{r}{k+r}.$$
Ime "redundancija" (višak, nepotrebno) proizlazi iz činjenice da se radi o bitovima koji ne nose nikakvu informaciju gledano sa stajališta podataka: podatkovni bitovi su ono što je važno za korisnika i bilo bi idealno kada bismo mogli prenositi samo njih. Tada bi redundancija bila 0. Želimo li, međutim, dobiti određenu otpornost na pogreške, morat ćemo uz podatkovne bitove slati i određen broj zaštitnih bitova (odnosno u ovom kontekstu bitova "viška"). Što ih je u kodnoj riječi više, to je redundancija veća. U primjeru koda s prethodne stranice gdje smo zaštićenu kodnu riječ gradili tako da smo podatkovne bitove još jednom ponovili imali smo <i>r</i>=<i>k</i>=2; u tom slučaju redundancija je bila \(R = \frac{2}{2+2} = \frac{2}{4}=0.5\) odnosno čak 50%.
</p>

<p><em>Težina kodne riječi</em>, oznaka \(w(x)\), gdje je <i>x</i> kodna riječ (uzorak nula i jedinica), definirana je kao broj bitova koji su u toj kodnoj riječi postavljeni na vrijednost 1. Evo nekoliko primjera.
$$w(\text{000000}) = 0\\
w(\text{001000}) = 1\\
w(\text{101011}) = 4\\
w(\text{111111}) = 6$$
</p>

<p>Oznakom \(x \oplus y\), gdje su <i>x</i> i <i>y</i> dva jednako dugačka binarna uzorka, ćemo označiti novi binarni uzorak koji na poziciji <i>i</i> ima vrijednost 1 ako su bitovi u uzorcima <i>x</i> i <i>y</i> na poziciji <i>i</i> različiti, a inače ima vrijednost 0. Ovakva definicija izravno odgovara operatoru odnosno logičkoj operaciji isključivo-ILI (engl. <i>exclusive-OR</i>, oznaka XOR). Evo nekoliko primjera.
$$
000000 \oplus 101010 = 101010 \\
010101 \oplus 101010 = 111111 \\
100010 \oplus 101010 = 001000 \\
111111 \oplus 001100 = 110011
$$
</p>

<p>
<i>Hammingova distanca</i>, oznaka \(d_H(x,y)\), definirana je nad jednako dugačkim binarnim uzorcima <i>x</i> i <i>y</i> kao broj pozicija na kojima ti binarni uzorci imaju različito postavljene bitove. Evo primjera.
$$
 d_H(000000,001100) = 2 \\
 d_H(010101,010101) = 0 \\
 d_H(111111,010101) = 3 \\
 d_H(010101,101010) = 6
$$
</p>

<div class="mlNote">Hammingova distanca govori nam koliko su dva binarna uzorka različita, odnosno koliko bismo promjena bitova trebali napraviti u jednom uzorku da bismo ga pretvorili u drugi uzorak. Ovaj način razmišljanja o Hammingovoj distanci posebno je važan u kontekstu zaštitnih kodova, pa ćemo ga ponoviti još jednom: <em>Hammingova distanca govori nam koliko su dva binarna uzorka različita, odnosno koliko bismo promjena bitova trebali napraviti u jednom uzorku da bismo ga pretvorili u drugi uzorak</em>.</div>

<p>
Činjenica da Hammingova distanca govori o različitosti dvaju uzoraka lijepo se vidi i iz sljedeće definicije Hammingove distance preko <em>težine</em>:
$$
d_H(x,y) = w(x \oplus y).
$$
Pokažimo to na prethodnom primjeru.
$$
 d_H(000000,001100) = w(000000 \oplus 001100) = w(001100) = 2 \\
 d_H(010101,010101) = w(010101 \oplus 010101) = w(000000) = 0 \\
 d_H(111111,010101) = w(111111 \oplus 010101) = w(101010) = 3 \\
 d_H(010101,101010) = w(010101 \oplus 101010) = w(111111) = 6
$$
</p>

<p>Pročitajte još jednom ove definicije. U nastavku ćemo ih kroz nekoliko zadataka provježbati.</p>
